package com.kingdee.eas.custom.integration.feishu.exception;

import com.kingdee.eas.custom.integration.base.exception.ErrorCode;
import com.kingdee.eas.custom.integration.base.exception.IntegrationException;

public class FeishuIntegrationException extends IntegrationException {
    public FeishuIntegrationException(ErrorCode errorCode) {
        super(errorCode, errorCode.getDefaultMessage(), null);
    }

    public FeishuIntegrationException(ErrorCode errorCode, String msg) {
        super(errorCode, msg, null);
    }

    public FeishuIntegrationException(ErrorCode errorCode, String customMessage, Throwable cause) {
        super(errorCode, customMessage, cause);
    }
}